class Circle {
  void drawCircle(Turtle t, float radius) {
    strokeWeight(10);
    stroke(255);
    
    t.drawTurtle(); //Show where the turtle is
    t.penUp();
    t.forward(radius);
    t.right(90);
    t.penDown();
    
    
    //Find circumference, use that to find segment length
    float circ = 2 * PI * radius;
    float len = circ / 360;
    
    //Now loop over 360 degrees
    for (int i = 0; i < 360; i++) {
      t.forward(len);
      t.right(1);
    }
    
    //Then move the turtle back
    t.penUp();
    t.right(90);
    t.forward(radius);
    t.right(180);
  }
}
